# azure.mgmt.eventhub.v2018_01_01_preview package

## Submodules

- azure.mgmt.eventhub.v2018_01_01_preview.models module
- azure.mgmt.eventhub.v2018_01_01_preview.operations module

## Module contents

class `azure.mgmt.eventhub.v2018_01_01_preview.``EventHub2018PreviewManagementClient`(credentials, subscription_id, base_url=None)

  Bases: `msrest.service_client.SDKClient`

  Azure Event Hubs client for managing Event Hubs Cluster, IPFilter Rules and VirtualNetworkRules resources.

  Variables:

  - config (EventHub2018PreviewManagementClientConfiguration) – Configuration for client.
  - operations (azure.mgmt.eventhub.v2018_01_01_preview.operations.Operations) – Operations operations
  - clusters (azure.mgmt.eventhub.v2018_01_01_preview.operations.ClustersOperations) – Clusters operations
  - configuration (azure.mgmt.eventhub.v2018_01_01_preview.operations.ConfigurationOperations) – Configuration operations
  - namespaces (azure.mgmt.eventhub.v2018_01_01_preview.operations.NamespacesOperations) – Namespaces operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – Subscription credentials that uniquely identify a Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.
  - base_url (str) – Service URL

class `azure.mgmt.eventhub.v2018_01_01_preview.``EventHub2018PreviewManagementClientConfiguration`(credentials, subscription_id, base_url=None)

  Bases: `msrestazure.azure_configuration.AzureConfiguration`

  Configuration for EventHub2018PreviewManagementClient Note that all parameters used to create this instance are saved as instance attributes.

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – Subscription credentials that uniquely identify a Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.
  - base_url (str) – Service URL